org.apache.uima.analysis_engine.metadata

## Interface FixedFlow

- All Superinterfaces:
    Cloneable, FlowConstraints, MetaDataObject, Serializable, XMLizable
  All Known Implementing Classes:
    FixedFlow_impl

      public interface FixedFlow
      extends FlowConstraints

  A `FixedFlow` is a simple type of `FlowConstraints` that specifies the complete flow as a fixed sequence.

  Each element in the sequence is specified as a String identifier. The `FixedFlow` object does not assign any particular meaning to these Strings - it is the user of the `FixedFlow` object that must understand how to map them to AnalysisEngines themselves.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FLOW_CONSTRAINTS_TYPE` The type identifier for this class of `FlowConstraints`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getFixedFlow()` Returns the flow as an array.
    `String` | `getFlowConstraintsType()` Gets the type of this `FlowConstraints` object.
    `void` | `setFixedFlow(String[] aFlow)` Sets the fixed flow.

    - ### Methods inherited from interface org.apache.uima.analysis_engine.metadata.FlowConstraints

      `remapIDs`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Field Detail

    - #### FLOW_CONSTRAINTS_TYPE

          static final String FLOW_CONSTRAINTS_TYPE

      The type identifier for this class of `FlowConstraints`. This is the return value of `getFlowConstraintsType()`.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getFlowConstraintsType

          String getFlowConstraintsType()

      Gets the type of this `FlowConstraints` object. Each sub-interface of `FlowConstraints` has its own standard type identifier String. These identifier Strings are used instead of Java class names in order to ease portability of metadata to other languages.
      Specified by:
        `getFlowConstraintsType` in interface `FlowConstraints`
      Returns:
        `FLOW_CONSTRAINTS_TYPE`

    - #### getFixedFlow

          String[] getFixedFlow()

      Returns the flow as an array. Each element of the array is a String that identifies the AnalysisEngine to invoke at that position in the flow.
      Returns:
        an array of AE identifiers.

    - #### setFixedFlow

          void setFixedFlow(String[] aFlow)

      Sets the fixed flow.
      Parameters:
        `aFlow` - an array of Strings, each of which identifies the AnalysisEngine to invoke at that position in the flow.
      Throws:
        `UIMA_UnsupportedOperationException` - if this `MetaDataObject` is not modifiable.

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.